Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.rep
Class UnknownMasterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sleepycat.je.DatabaseException
                      com.sleepycat.je.OperationFailureException
                          com.sleepycat.je.rep.StateChangeException
                              com.sleepycat.je.rep.UnknownMasterException

All Implemented Interfaces:
  Serializable

    public class UnknownMasterException

extends StateChangeException

Indicates that the underlying operation requires communication with a Master, but that a Master was not available.

This exception typically indicates there is a system level problem. It could indicate for example, that a sufficient number of nodes are not available to hold an election and elect a Master, or that this node was having problems with the network and was unable to communicate with other nodes.

The application can choose to retry the operation, potentially logging the problem, until the underlying system level problem has been addressed.

See Also:
  Serialized Form

Constructor Summary
`UnknownMasterException(com.sleepycat.je.txn.Locker locker, StateChangeEvent stateChangeEvent)`
`UnknownMasterException(String message)` Used when the inability to determine a master is not related to a state change.

Method Summary

Methods inherited from class com.sleepycat.je.rep.StateChangeException
`getEvent`

Methods inherited from class com.sleepycat.je.DatabaseException
`getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownMasterException

    public UnknownMasterException(com.sleepycat.je.txn.Locker locker,
                                  StateChangeEvent stateChangeEvent)

### UnknownMasterException

    public UnknownMasterException(String message)

  Used when the inability to determine a master is not related to a state change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.